# Trait clap::CommandFactory

source · [−]

    pub trait CommandFactory: Sized {
        fn command() -> Command;
        fn command_for_update() -> Command;
    }

Expand description

Create a `Command` relevant for a user-defined container.

Derived as part of `Parser`.

## Required Methods

source

#### fn command() -> Command

Build a `Command` that can instantiate `Self`.

See `FromArgMatches::from_arg_matches_mut` for instantiating `Self`.

source

#### fn command_for_update() -> Command

Build a `Command` that can update `self`.

See `FromArgMatches::update_from_arg_matches_mut` for updating `self`.

## Implementations on Foreign Types

source

### impl<T: CommandFactory> CommandFactory for Box<T>

source

#### fn command<'help>() -> Command

source

#### fn command_for_update<'help>() -> Command

## Implementors